# Project: obli1
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe -D__DEBUG__
CC   = gcc.exe -D__DEBUG__
WINDRES = windres.exe
RES  = 
OBJ  = pcx.o readtex.o archivo.o bmp.o edenSurfaces.o glm.o main2.o $(RES)
LINKOBJ  = pcx.o readtex.o archivo.o bmp.o edenSurfaces.o glm.o main2.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -lglut32 -lglu32 -lopengl32 -lwinmm -lgdi32  -g3 
INCS =  -I"C:/Dev-Cpp/include" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include" 
BIN  = obli1.exe
CXXFLAGS = $(CXXINCS)   -g3
CFLAGS = $(INCS)   -g3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before obli1.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "obli1.exe" $(LIBS)

pcx.o: pcx.cpp
	$(CPP) -c pcx.cpp -o pcx.o $(CXXFLAGS)

readtex.o: readtex.c
	$(CPP) -c readtex.c -o readtex.o $(CXXFLAGS)

archivo.o: archivo.cpp
	$(CPP) -c archivo.cpp -o archivo.o $(CXXFLAGS)

bmp.o: bmp.cpp
	$(CPP) -c bmp.cpp -o bmp.o $(CXXFLAGS)

edenSurfaces.o: edenSurfaces.c
	$(CPP) -c edenSurfaces.c -o edenSurfaces.o $(CXXFLAGS)

glm.o: glm.c
	$(CPP) -c glm.c -o glm.o $(CXXFLAGS)

main2.o: main2.cpp
	$(CPP) -c main2.cpp -o main2.o $(CXXFLAGS)
